%define Summary Atomix-style arcade game

Summary:	%{Summary}
Name:		lmarbles
Version:	1.0.7
Release:	%mkrel 9
Epoch:		1
License:	GPL
Group:		Games/Puzzles
URL:		http://lgames.sourceforge.net/index.php?project=LMarbles
Source0:	http://lgames.sourceforge.net/marbleslgames/%{name}-%{version}.tar.bz2
Source1:	%{name}16.png
Source2:	%{name}32.png
Source3:	%{name}48.png
BuildRequires:	SDL-devel libSDL_mixer-devel
Provides:	marbles
Obsoletes:	marbles
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
LMarbles is very similar to Atomix and was heavily inspired by it. Goal is to
create a more or less complex figure out of single marbles within a time limit
to reach the next level. Sounds easy? Well, there is a problem: If a marble
starts to move it will not stop until it hits a wall or marble. And to make it
even more interesting there are obstacles like arrows, crumbling walls and
teleports!

%prep
%setup -q

%build
%configure2_5x \
    --localstatedir=%{_localstatedir}/lib/games \
    --datadir=%{_gamesdatadir} \
    --bindir=%{_gamesbindir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m644 %SOURCE1 %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE2 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE3 %{buildroot}%{_liconsdir}/%{name}.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Marbles
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

%if %mdkversion < 200900
%post
%update_menus
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(2755,root,games) %{_gamesbindir}/*
%attr(0664,games,games) %{_localstatedir}/lib/games/%{name}.prfs
%{_gamesdatadir}/%{name}
%{_mandir}/man6/*
%{_iconsdir}/*
%{_miconsdir}/*
%{_liconsdir}/*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Mon Apr 06 2009 Funda Wang <fundawang@mandriva.org> 1:1.0.7-9mdv2009.1
+ Revision: 364391
- new rpm group

* Mon Apr 06 2009 Funda Wang <fundawang@mandriva.org> 1:1.0.7-8mdv2009.1
+ Revision: 364302
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:1.0.7-7mdv2009.0
+ Revision: 223119
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:1.0.7-6mdv2008.1
+ Revision: 152860
- rebuild
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Mar 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-4mdv2007.1
+ Revision: 146621
- fix summary

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-3mdv2007.1
+ Revision: 146108
- Import lmarbles

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-3mdv2007.1
- use the %%mrel macro
- fix the xdg menu stuff

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.7-2mdk
- Rebuild

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.0.7-1mdk
- New version.
- Renamed to lmarbles.

* Tue Aug 17 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.0.5-4mdk
- Fix menu again

* Sat Aug 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.0.5-3mdk
- rebuild.
- change menu section.

